# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(HTTP/Parser.pm) perl(IO/Compress/Gzip.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Net/LibNIDS.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name HTTP-Sessioniser
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Rebuild HTTP sessions from pcap streams
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/ED/EDECA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module extracts HTTP sessions from pcap files with the help of Net::LibNIDS..
It will piece HTTP data back together and return a pair of HTTP::Request and 
HTTP::Response which correspond to one HTTP 'session'.

HTTP CONNECT sessions are dealt with specially: the first request/response pair will
be returned as normal, subsequent requests will be skipped (as they do not contain
HTTP requests or responses, only SSL data).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/H*
%perl_vendor_privlib/auto/*
%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

